[sru] notify_kombu incorrect message format for logging

Bug #983829 reported by Edward on 2012-04-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Low
Brian Waldon
Essex
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Chuck Short

Bug Description

glance/glance/notifier/notify_kombu.py line 170 -171
..
logger.error(_('Notification with priority %(priority)s failed; '
                'msg=%s') % msg)

glance.po line 742
msgid "Notification with priority %(priority)s failed; msg=%s"

This message formt is not correct for Pybabel to compile, it will report error like this:
error: locale/zh_CN/LC_MESSAGES/glance.po:742: format string mixes positional and named placeholders

Related branches

Brian Waldon (bcwaldon) on 2012-04-23
Changed in glance:
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Brian Waldon (bcwaldon)
Brian Waldon (bcwaldon) wrote :

Good catch, that log line actually raises a TypeError.

Changed in glance:
milestone: none → folsom-1

Reviewed: https://review.openstack.org/6712
Committed: http://github.com/openstack/glance/commit/3de99a1831ce8550e70dc6b0f96051578b61e1e7
Submitter: Jenkins
Branch: master

commit 3de99a1831ce8550e70dc6b0f96051578b61e1e7
Author: Brian Waldon <email address hidden>
Date: Sun Apr 22 22:21:53 2012 -0700

    Fix i18n in glance.notifier.notify_kombu

    * Fixes bug 983829

    Change-Id: Ibc5ec12e97e69797d1952c020c3091f42480abec

Changed in glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/6923
Committed: http://github.com/openstack/glance/commit/54622953c4cc09196c7f16d8229ba438afbe626f
Submitter: Jenkins
Branch: stable/essex

commit 54622953c4cc09196c7f16d8229ba438afbe626f
Author: Brian Waldon <email address hidden>
Date: Sun Apr 22 22:21:53 2012 -0700

    Fix i18n in glance.notifier.notify_kombu

    * Fixes bug 983829

    Change-Id: Ibc5ec12e97e69797d1952c020c3091f42480abec

tags: added: in-stable-essex
Thierry Carrez (ttx) on 2012-05-23
Changed in glance:
status: Fix Committed → Fix Released
Chuck Short (zulcss) on 2012-05-30
Changed in glance (Ubuntu):
status: New → In Progress
Changed in glance (Ubuntu Precise):
status: New → In Progress
Chuck Short (zulcss) on 2012-06-08
summary: - notify_kombu incorrect message format for logging
+ [sru] notify_kombu incorrect message format for logging
Changed in glance (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
assignee: nobody → Chuck Short (zulcss)
Chuck Short (zulcss) wrote :

** Impact **

Running glance in a zn_cn locale, glance will not function properly and result in traceback like the following:

This message formt is not correct for Pybabel to compile, it will report error like this:
error: locale/zh_CN/LC_MESSAGES/glance.po:742: format string mixes positional and named placeholders

** Development Fix **

This has been addressed in https://review.openstack.org/6712 and fixed in quantal.

** Stable Fix **

This has been addressed in the stable/essex branch in https://review.openstack.org/6923

** Test case **

Run glance with the zh_CN locale and check for messages like the following:

This message formt is not correct for Pybabel to compile, it will report error like this:
error: locale/zh_CN/LC_MESSAGES/glance.po:742: format string mixes positional and named placeholders

** Regression Potential **

Minimal, this only affects zh_CN locales and probably others.

Hello Edward, or anyone else affected,

Accepted glance into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in glance (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed

Please find the attached Jenkins job results from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Glance has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/6712
Stable review: https://review.openstack.org/6923

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
removed: verification-needed
Chris Halse Rogers (raof) wrote :

This looks ready to move to -updates. What is the status of this in Quantal? We need to be sure that it'll be addressed there so that upgraders don't suffer a regression.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2012.1+stable~20120608-5462295-0ubuntu2.2

---------------
glance (2012.1+stable~20120608-5462295-0ubuntu2.2) precise-proposed; urgency=low

  * New usptream snapshot. (LP: #1010473)
  * Resynchronize with stable/essex:
   - 5462295 Fix i18n in glance.notifier.notify_kombu. (LP: #983829)
   - 7a9e3a7 Omit Content-Length on chunked transfer. (LP: #981332)
   - 5838b63 Fix content type for qpid notifier. (LP: #980872)
   - 98913da search for logger in PATH. Fixes (LP: #978907)
   - f136e7e Ensure swift auth URL includes trailing slash. Fixes (LP: #979745)
  * debian/rules: Add ability to build tarballs from a git snapshot.
  * debian/patches/fix-pep8-ubuntu.patch: Fix pep8 errors.
 -- Chuck Short <email address hidden> Tue, 05 Jun 2012 10:43:12 -0400

Changed in glance (Ubuntu Precise):
status: Fix Committed → Fix Released
Chuck Short (zulcss) on 2012-08-21
Changed in glance (Ubuntu):
status: In Progress → Fix Released
Thierry Carrez (ttx) on 2012-09-27
Changed in glance:
milestone: folsom-1 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers